<?php

// 获取用户身份标识
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_get_user_role.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");

$result = array();

//参数检查
if(empty($unionId)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}


//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

$userMst = $userList[0];

//接口返回数据
$result["role"] = $userMst->role;
$result["schoolOwner"] = $userMst->school_owner;
$result["classOwner"] = $userMst->class_owner;
$result["governmentId"] = $userMst->government_id;

ErrorLogger::doOutput("Compass...ajax_get_user_role.php....End.", 0);

//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>